Subject: Bug tracking again

From: Jason L Tibbitts III <[email-masked]>
Date: 19 Oct 1999 23:59:39 -0500

OK, as you all know, I've been terminally busy for far too long and it
doesn't show much sign of abating.  I really shouldn't put off switching to
the new machine the department has donated any longer, though, and so I'm
going to try to find the time to put some work into it.

The one remaining issue is the bug tracker.  Jitterbug is somewhat of a
pain to set up and from what I've seen isn't really all that useful.  Sure,
it tracks bugs, but we only seem to use it as an online filing cabinet.

I've been over the alternatives and at this point I really think that
Bugzilla is going to come the closest to meeting our needs.  It allows users to
attach things like screen shots and config files to bug reports (which
would have been useful recently).

What it seems to lack is an email interface, but I think that if we decide
one is necessary, I could probably hack something up.  (I'll probably begin
to have time for this kind of thing in a month or so.)  I have plenty of
experience doing this kind of thing.

So hopefully in the next couple of days I can get Bugzilla online at
xxx.fvwm.org and I can try moving some bug reports over.

 - J<

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Wed, 20 Oct 1999 18:03:48 -0400

> xxx.fvwm.org and I can try moving some bug reports over.

I think the bug tracking is working Ok.  What I would like is for fvwm-web
to be connected to www.fvwm.org instead of xxx.fvwm.org.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Jason L Tibbitts III <[email-masked]>
Date: 20 Oct 1999 17:46:19 -0500

>>>>> "DE" == Dan Espen <[email-masked]> writes:

DE> What I would like is for fvwm-web to be connected to www.fvwm.org
DE> instead of xxx.fvwm.org.

That is the goal, but the bug tracking issue must be resolved first.
My point was that Jitterbug is a pain to set up (on the new machine) so if
a change is to be made, now is the time to make it.

 - J<

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 20 Oct 1999 11:13:10 +0200

> it tracks bugs, but we only seem to use it as an online filing cabinet.

Yes, unfortunately that is true.  Working with your bugs is very
tedious with Jitterbug.  There is no easy way to add comments and
send them to the list and the reporter at the same time (e.g. I have
to type my signature manually).

> would have been useful recently).

Sounds like something we need.

> experience doing this kind of thing.

Given the percentage of useful mails sent directly to Jitterbug
without the report form (which is about 0%) it is even an advantage
not to have a public email interface.  I wouldn't complain about
one for the developers though - from time to time I enter all the
old reports that have queued up in my mailbox into Jitterbug, so
some email form would be nice (although not really necessary).

Any other bug tracking system can hardly be worse thatn Jitterbug ;-)
I'm all for at least trying it out.

> xxx.fvwm.org and I can try moving some bug reports over.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]